# Example script

{% hint style="warning" %}
Important: If you intend to run objective metrics, then please remember to disable dithering on the decoder.
{% endhint %}

`~/vnova/ffmpeg/ffmpeg \`\
&#x20;`-framerate $FPS \`\
&#x20;`-vcodec rawvideo \`\
&#x20;`-pix_fmt yuv420p \`\
&#x20;`-s $RESO \`\
&#x20;`-i $INPUT \`\
&#x20;`-vcodec lcevc_h264 \`\
&#x20;`-base_encoder x264 \`\
&#x20;`-b:v $BITRATE \`\
&#x20;`-eil_params "lcevc_tune=vmaf;dc_dithering_type=none;preset=medium;rc_pcrf_window_type=rolling" \`\
&#x20;`-f mp4 \`\
&#x20;`outputs/"$FILE"_vnova.mp4`

`ffmpeg \`\
&#x20;`-s $RESO \`\
&#x20;`-framerate $FPS \`\
&#x20;`-vcodec rawvideo \`\
&#x20;`-i $INPUT \`\
&#x20;`-vcodec libx264 \`\
&#x20;`-b:v $BITRATE \`\
&#x20;`-preset medium \`\
&#x20;`-g $FPS \`\
&#x20;`-f mp4 \`\
&#x20;`outputs/"$FILE"_libx.mp4`

`~/vnova/ffmpeg/ffmpeg -y \`\
&#x20;`-vcodec lcevc_hevc \`\
&#x20;`-disable_dithering 1 \`\
&#x20;`-i outputs/"$FILE"_vnova.mp4 \`\
&#x20;`-vcodec rawvideo \`\
&#x20;`-s $RESO \`\
&#x20;`-framerate $FPS \`\
&#x20;`-pix_fmt yuv420p \`\
&#x20;`-i $INPUT \`\
&#x20;`-filter_complex "[0:v]scale=1920x1080:flags=bicubic[main];[main][1:v]libvmaf=model_path=/path/to/vmaf_v0.6.1.pk1" \`\
&#x20;`-f null -`&#x20;

`~/vnova/ffmpeg/ffmpeg -y \`\
&#x20;`-i outputs/"$FILE"_libx.mp4 \`\
&#x20;`-s $RESO \`\
&#x20;`-framerate $FPS \`\
&#x20;`-pix_fmt yuv420p \`\
&#x20;`-i $INPUT \`\
&#x20;`-filter_complex "[0:v]scale=1920x1080:flags=bicubic[main];[main][1:v]libvmaf" \`\
&#x20;`-f null -`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v-nova.com/technologies/mpeg-5.lcevc/integrations/example-script.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
